Page MenuHomePhabricator

article count don't update on gu.wikiquote
Closed, InvalidPublic

Description

I am local sysop there. Article count (Special:Statatics) don't change after creating new article. Also current count is wrong.

Event Timeline

Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 19 2016, 9:00 AM
BhatakatiAatma renamed this task from article count don't change on gu.wikiquote to article count don't update on gu.wikiquote.Feb 19 2016, 4:08 PM
He7d3r updated the task description. (Show Details)

Hmm, who said, that the count is false? What pages do you edit? And what is the two page related counters is the "article count"? I checked the current count of "Content pages" on the labs replica, and I first thought, that my query is simply false (maybe it's not the best and most efficient, though), but it returns the correct count for trwiki:

MariaDB [trwiki_p]> select count(*) from (select page.page_id from pagelinks INNER JOIN page ON pagelinks.pl_from = page.page_id where page_namespace = 0 and page.page_is_redirect = 0 group by page.page_id) a;
+----------+
| count(*) |
+----------+
|   264978 |
+----------+
1 row in set (35.82 sec)

MariaDB [trwiki_p]>


Now, the same query returns this count for guwikiquote:

MariaDB [guwikiquote_p]> select count(*) from (select page.page_id from pagelinks INNER JOIN page ON pagelinks.pl_from = page.page_id where page_namespace = 0 and page.page_is_redirect = 0 group by page.page_id) a;
+----------+
| count(*) |
+----------+
|      132 |
+----------+
1 row in set (0.05 sec)

MariaDB [guwikiquote_p]>

So, in my opinion: Yes, the count seems to be "false", but it's to high :/

But maybe the difference can be explained when you answer my above questions :)

this count is false. 3 month ago displyed only 6 article (count). i have run awb and added dead end templetes. after count is automaticaly jumping and disply something 140 article. atfer creating article count is not updated for long time. now its update regulary and disply 200 article. but i dnt know this count is correct or false. sorry for my english.

Now 600+ article there but displayed ony 145 article.
Alo this task is pending long time.

The count is correct:

MariaDB [guwikiquote_p]> select count(*) from (select page.page_id from pagelinks INNER JOIN page ON pagelinks.pl_from = page.page_id where page_namespace = 0 and page.page_is_redirect = 0 group by page.page_id) a;
+----------+
| count(*) |
+----------+
|      146 |
+----------+
1 row in set (0.04 sec)

MariaDB [guwikiquote_p]>

Where do you get the 600+ article count from? How do you count it? Please remember, that only content pages are counted, and as far as I know, pages in the template namespace aren't marked as content pages on guwikiquote, so only NS_MAIN (pages in the main/article namespace) are counted as articles on Special:Statistics (the "pages" (the second row) counts _any_ page, no matter if it's a page in a content namespace).

So, actually it seems, there's no error here.

The count is correct:

MariaDB [guwikiquote_p]> select count(*) from (select page.page_id from pagelinks INNER JOIN page ON pagelinks.pl_from = page.page_id where page_namespace = 0 and page.page_is_redirect = 0 group by page.page_id) a;
+----------+
| count(*) |
+----------+
|      146 |
+----------+
1 row in set (0.04 sec)

MariaDB [guwikiquote_p]>

Where do you get the 600+ article count from? How do you count it? Please remember, that only content pages are counted, and as far as I know, pages in the template namespace aren't marked as content pages on guwikiquote, so only NS_MAIN (pages in the main/article namespace) are counted as articles on Special:Statistics (the "pages" (the second row) counts _any_ page, no matter if it's a page in a content namespace).

So, actually it seems, there's no error here.

I am not magician but see there current count is 151 without creating any new article. Actually there is 600+ articles. I am local sysop there.

@Florian
Current count is 161 without creating any new article. So how this count is correct?

There're some lines like:

(ભેદ | ઇતિહાસ) . . નાનું નળાખ્યાન/કડવું ૫૩‎; ૧૭:૦૬ . . (+૪૯)‎ . . ‎YmKavishwar (ચર્ચા | યોગદાન)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)

On Special:RecentChanges from today. I suspect, that the pages edited there had no internal links to other pages before that, right? If this is the case, then the count is correct. Remember, that a page without at least one internal link isn't counted as a content page on Special:Statistics (ref).

If you count the changes made since my last comment (where I executed the sql query and said, that the count is correct):

`
25 April 2016
(diff | hist) . . m નળાખ્યાન‎; 17:06 . . (+48)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎અનુક્રમણિકા: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૫૩‎; 17:06 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૩૯‎; 17:06 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૩૩‎; 17:05 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૨૮‎; 17:05 . . (+47)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૫૧‎; 17:05 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૬૪‎; 17:05 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૨૧‎; 17:05 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૨૪‎; 17:04 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૨૭‎; 17:04 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૨૩‎; 17:04 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૧૭‎; 17:04 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૬૦‎; 17:04 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૨૬‎; 17:03 . . (+47)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૧૨‎; 17:03 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૩૭‎; 17:03 . . (+48)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૧૬‎; 17:03 . . (+47)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૩૪‎; 17:03 . . (+48)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૬૧‎; 17:02 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૪૪‎; 17:02 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૩૬‎; 17:02 . . (+48)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૬૩‎; 17:02 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૪૫‎; 17:02 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૨૨‎; 17:02 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૨૦‎; 17:01 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૪૭‎; 17:01 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૧૩‎; 17:01 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૩૫‎; 17:01 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૩૨‎; 17:01 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૧૫‎; 17:00 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૧૯‎; 17:00 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૬૨‎; 17:00 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૪૦‎; 17:00 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૧૧‎; 17:00 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૫૦‎; 16:59 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૧૪‎; 16:59 . . (+48)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૪૬‎; 16:59 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૩૮‎; 16:59 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૨૯‎; 16:59 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૪૧‎; 16:58 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૪૩‎; 16:58 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૩૦‎; 16:58 . . (+41)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૪૯‎; 16:58 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૧૮‎; 16:58 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૩૧‎; 16:57 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૨૫‎; 16:57 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૪૨‎; 16:57 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૪૮‎; 16:57 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૫૨‎; 16:56 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (→‎top: શ્રેણીઃનળાખ્યાન જોડી using AWB)
(diff | hist) . . m નળાખ્યાન/કડવું ૧૦‎; 07:20 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (added Category:નળાખ્યાન using HotCat)
(diff | hist) . . m નળાખ્યાન/કડવું ૯‎; 07:19 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (added Category:નળાખ્યાન using HotCat)
(diff | hist) . . m નળાખ્યાન/કડવું ૮‎; 07:18 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (added Category:નળાખ્યાન using HotCat)
(diff | hist) . . m નળાખ્યાન/કડવું ૭‎; 07:17 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (added Category:નળાખ્યાન using HotCat)
(diff | hist) . . m નળાખ્યાન/કડવું ૬‎; 07:16 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (added Category:નળાખ્યાન using HotCat)
(diff | hist) . . m નળાખ્યાન/કડવું ૫‎; 07:15 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (added Category:નળાખ્યાન using HotCat)
(diff | hist) . . m નળાખ્યાન/કડવું ૪‎; 07:14 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (added Category:નળાખ્યાન using HotCat)
(diff | hist) . . m નળાખ્યાન/કડવું ૩‎; 07:13 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (added Category:નળાખ્યાન using HotCat)
(diff | hist) . . m નળાખ્યાન/કડવું ૨‎; 07:12 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (added Category:નળાખ્યાન using HotCat)
(diff | hist) . . m નળાખ્યાન/કડવું ૧‎; 07:11 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (added Category:નળાખ્યાન using HotCat)
24 April 2016
(diff | hist) . . m નળાખ્યાન/કડવું ૫૯‎; 18:17 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (added Category:નળાખ્યાન using HotCat)
(diff | hist) . . m નળાખ્યાન/કડવું ૫૮‎; 18:16 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (added Category:નળાખ્યાન using HotCat)
(diff | hist) . . m નળાખ્યાન/કડવું ૫૭‎; 18:15 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (added Category:નળાખ્યાન using HotCat)
(diff | hist) . . m નળાખ્યાન/કડવું ૫૬‎; 18:14 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (added Category:નળાખ્યાન using HotCat)
(diff | hist) . . m નળાખ્યાન/કડવું ૫૫‎; 18:13 . . (+49)‎ . . ‎YmKavishwar (talk | contribs)‎ (added Category:નળાખ્યાન using HotCat)
`

-> 64 = 210 - 146
210 -> current page count
146 -> last valid page count
64 -> number of edits bewteen the first and second count

(also: see my comment above)

Yes this is that but what meaning about internal link ? If told about dead end all pages are linked with other pages. All paves are main name spaces so why its not displayed? Actually there is 600+ pages.

In pas i have coming on gu.wikiquote the article count is only 5 pages. After m edited many pages using awb counting up and desply 145 pages.

Also today i have adding category using with awb. No any other edit.

Like I said: Pages are counted as content pages (the first count on Special:Version) only, if they fulfill the following criteria:

  • in main namespace (or other namespaces listed in $wgContentNamespace)
  • not a redirect page
  • contain at least one internal link

(I assume, that category links are counted as internal links, too). If a page doesn't match all of these criteria (e.g. there aren't any internal links to other pages), it isn't counted as a content page and doesn't increase the page count on Special:Version. If you now edit one of the pages and the page fulfills any of the criteria with your edit (e.g. you add an internal link), the page will increase the page count on Special:Version.

I assume, that 390 of your 600+ pages doesn't contain an internal link, are redirect pages or aren't in the main namespace, that's why only the other pages are counted.

Sorry, but as far as I can tell, this bug is invalid :/

@Florian the 390 pages is main namespacis (content pages) not a redirect and all and interlinked. After any edit on any page its displayed.

https://gu.wikiquote.org/wiki/%E0%AA%A8%E0%AA%B3%E0%AA%BE%E0%AA%96%E0%AB%8D%E0%AA%AF%E0%AA%BE%E0%AA%A8

They 64 pages are linked on this page. This page is linked on main page also. They all pages are linke each other too.

All lages are article contains pages not a redirect pages and all. But not desply.
Why its desply after one edit ?
After sometimes all pages are back invisible.

One of other problems if you interlinked some pages but red link. You created this red linked page but still link can't blue without editing page. Mns dont update instantly.

Aklapper closed this task as Invalid.Jun 16 2016, 3:04 PM

Mns dont update instantly.

That is intended as there is caching and a JobQueue. Closing task as invalid.